// Copyright 2011 NLX - Natural Language and Speech Group
// of the University of Lisbon
//
// This file is part of lkb2standard.
//
// lkb2standard is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// lkb2standard is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with lkb2standard. If not, see <http://www.gnu.org/licenses/>.

package pt.ul.fc.di.nlx.lkb2standard;

import java.io.File;
import java.io.FilenameFilter;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * An implementation of the java.io.FilenameFilter interface.
 * <p>
 * This filter accepts files/directories with names that match a regexp (given as a String).
 * 
 * @author jsilva
 */
public class RegexpFilter implements FilenameFilter {
	Pattern pattern;
	public RegexpFilter(String regexp) {
		super();
		pattern = Pattern.compile(regexp);
	}
	public boolean accept(File dir, String name) {
		Matcher m = pattern.matcher(name);
		return m.matches();
	}
	public Pattern getPattern() {
		return pattern;
	}
}
